com.thinkaurelius.titan.core.attribute

## Enum Contain

- java.lang.Object
- - java.lang.Enum<Contain>
  - - com.thinkaurelius.titan.core.attribute.Contain

- All Implemented Interfaces:
    TitanPredicate, com.tinkerpop.blueprints.Predicate, Serializable, Comparable<Contain>

      public enum Contain
      extends Enum<Contain>
      implements TitanPredicate

  Comparison relations for text objects.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.graphdb.query.TitanPredicate

      `TitanPredicate.Converter`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IN` Whether an element is in a collection
    `NOT_IN` Whether an element is not in a collection

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNegation()` Whether this predicate has a predicate that is semantically its negation.
    `boolean` | `isQNF()` Returns true if this predicate is in query normal form.
    `boolean` | `isValidCondition(Object condition)` Whether the given condition is a valid condition for this predicate.
    `boolean` | `isValidValueType(Class<?> clazz)` Whether the given class is a valid data type for a value to which this predicate may be applied.
    `static Contain` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Contain[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.query.TitanPredicate

      `evaluate, negate`

- - ### Enum Constant Detail

    - #### IN

          public static final Contain IN

      Whether an element is in a collection

    - #### NOT_IN

          public static final Contain NOT_IN

      Whether an element is not in a collection

  - ### Method Detail

    - #### values

          public static Contain[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Contain c : Contain.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Contain valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isValidValueType

          public boolean isValidValueType(Class<?> clazz)

      Description copied from interface: `TitanPredicate`
      Whether the given class is a valid data type for a value to which this predicate may be applied. For instance, the `Cmp.GREATER_THAN` can only be applied to `Comparable` values.
      Specified by:
        `isValidValueType` in interface `TitanPredicate`
      Returns:

    - #### isValidCondition

          public boolean isValidCondition(Object condition)

      Description copied from interface: `TitanPredicate`
      Whether the given condition is a valid condition for this predicate. For instance, the `Cmp.GREATER_THAN` would require that the condition is comparable and not null.
      Specified by:
        `isValidCondition` in interface `TitanPredicate`
      Returns:

    - #### hasNegation

          public boolean hasNegation()

      Description copied from interface: `TitanPredicate`
      Whether this predicate has a predicate that is semantically its negation. For instance, `Cmp.EQUAL` and `Cmp.NOT_EQUAL` are negatives of each other.
      Specified by:
        `hasNegation` in interface `TitanPredicate`
      Returns:

    - #### isQNF

          public boolean isQNF()

      Description copied from interface: `TitanPredicate`
      Returns true if this predicate is in query normal form.
      Specified by:
        `isQNF` in interface `TitanPredicate`
      Returns:

Copyright © 2012–2014. All rights reserved.